Package org.zkoss.stateless.sul

## Interface IHeaderElement<I extends IHeaderElement>

- All Superinterfaces:
    `IChildrenOfInputgroup<I>`, `IComponent<I>`, `IHtmlBasedComponent<I>`, `ILabelElement<I>`, `ILabelImageElement<I>`, `IXulElement<I>`
  All Known Subinterfaces:
    `IAuxheader<I>`, `IColumn<I>`, `IListheader<I>`, `ITreecol<I>`

      public interface IHeaderElement<I extends IHeaderElement>
      extends ILabelImageElement<I>

  Immutable `HeaderElement` interface
  Author:
    katherine

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAlign()` | Returns the horizontal alignment of this column.
    `java.lang.String` | `getValign()` | Returns the vertical alignment of this grid.
    `I` | `withAlign​(java.lang.String align)` | Returns a copy of `this` immutable component with the specified `align`.
    `I` | `withValign​(java.lang.String valign)` | Returns a copy of `this` immutable component with the specified `valign`.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetClass, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.ILabelElement

      `getLabel, withLabel`

    - ### Methods inherited from interface org.zkoss.stateless.sul.ILabelImageElement

      `getHoverImage, getIconSclass, getIconSclasses, getIconTooltip, getIconTooltips, getImage, isPreloadImage, withHoverImage, withIconSclass, withIconSclasses, withIconTooltip, withIconTooltips, withImage, withPreloadImage`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Method Detail

    - #### getValign

          @Nullable
          java.lang.String getValign()

      Returns the vertical alignment of this grid.

      Default: `null` (system default: `top`).

    - #### withValign

          I withValign​(@Nullable
                       java.lang.String valign)

      Returns a copy of `this` immutable component with the specified `valign`.

      Sets the vertical alignment of this grid.

      Parameters:
        `valign` - The vertical alignment of this grid.
      Returns:
        A modified copy of the `this` object

    - #### getAlign

          @Nullable
          java.lang.String getAlign()

      Returns the horizontal alignment of this column.

      Default: `null` (system default: `left` unless CSS specified).

    - #### withAlign

          I withAlign​(@Nullable
                      java.lang.String align)

      Returns a copy of `this` immutable component with the specified `align`.

      Sets the horizontal alignment of this grid.

      Parameters:
        `align` - The horizontal alignment of this grid.
      Returns:
        A modified copy of the `this` object